[Enigmalight Update-Thread] v0.2rc1 22-01-2015 (IPK and DEB)

  • Quote

    Original von m0rphU
    Die Installation bei deb ist etwas anders. Dein Log sagt ja:

    Code
    dependency problems - leaving unconfigured


    Leider kann dpkg die Abhängigkeiten nicht selber lösen und bricht dann mehr oder weniger ab. Gelöst bekommt man das aber einfach mit apt-get:

    Code
    apt-get update && apt-get install -f



    Hallo,


    ne wird auch so nicht Installiert ....


    root@dm7080:~# dpkg -i /tmp/enigma2-plugin-extensions-enigmalight_0.1r6-b1_all.deb
    (Reading database ... 13454 files and directories currently installed.)
    Preparing to unpack .../enigma2-plugin-extensions-enigmalight_0.1r6-b1_all.deb ...


    Check if enigmalight is running...


    enigmalight: not running


    File /etc/enigmalight.conf does not exist in /etc/
    Unpacking enigma2-plugin-extensions-enigmalight (0.1r6-b1) over (0.1r6-b1) ...


    Check if enigmalight is running...


    enigmalight: not running


    Setting up enigma2-plugin-extensions-enigmalight (0.1r6-b1) ...
    Try to find box model....
    Found DM7080HD, Supported
    mkdir: can't create directory '/usr/lib/enigma2/python/Plugins/Extensions/EnigmaLight/profiles/': No such file or directory
    cp: can't stat '/home/elight-addons/profiles_empty/*.profile': No such file or directory
    Added profiles...
    Configuring EnigmaLight...
    Reload udev rules...
    Create symbollinks...
    Set permissions...
    chmod: /home/elight-addons/usr/bin/*: No such file or directory
    Remove temp files...



    ##################### EnigmaLight installed... #######################


    You can now use the Plugin.
    Please RESTART Enigma2 or REBOOT box to activate the GUI.
    don't forget to create a configuration file.



    For samplefiles look in /home/elight-addons/


    ####################################################################


    root@dm7080:~# apt-get update && apt-get install -f
    Ign http://debfeed4.merlin.xyz ./ InRelease
    Ign http://debfeed4.merlin.xyz ./ InRelease
    Ign http://debfeed4.merlin.xyz ./ InRelease
    Ign http://debfeed4.merlin.xyz ./ InRelease
    Ign http://debfeed4.merlin.xyz ./ InRelease
    Ign http://debfeed4.merlin.xyz ./ InRelease
    Ign http://debfeed4.merlin.xyz ./ Release.gpg
    Ign http://debfeed4.merlin.xyz ./ Release.gpg
    Ign http://debfeed4.merlin.xyz ./ Release.gpg
    Ign http://debfeed4.merlin.xyz ./ Release.gpg
    Ign http://debfeed4.merlin.xyz ./ Release.gpg
    Ign http://debfeed4.merlin.xyz ./ Release.gpg
    Hit http://debfeed4.merlin.xyz ./ Release
    Hit http://debfeed4.merlin.xyz ./ Release
    Hit http://debfeed4.merlin.xyz ./ Release
    Hit http://debfeed4.merlin.xyz ./ Release
    Hit http://debfeed4.merlin.xyz ./ Release
    Hit http://debfeed4.merlin.xyz ./ Release
    Ign http://debfeed4.merlin.xyz ./ Packages/DiffIndex
    Ign http://debfeed4.merlin.xyz ./ Packages/DiffIndex
    Ign http://debfeed4.merlin.xyz ./ Packages/DiffIndex
    Ign http://debfeed4.merlin.xyz ./ Packages/DiffIndex
    Ign http://debfeed4.merlin.xyz ./ Packages/DiffIndex
    Ign http://debfeed4.merlin.xyz ./ Packages/DiffIndex
    Hit http://debfeed4.merlin.xyz ./ Packages
    Hit http://debfeed4.merlin.xyz ./ Packages
    Hit http://debfeed4.merlin.xyz ./ Packages
    Hit http://debfeed4.merlin.xyz ./ Packages
    Hit http://debfeed4.merlin.xyz ./ Packages
    Hit http://debfeed4.merlin.xyz ./ Packages
    Ign http://debfeed4.merlin.xyz ./ Translation-en
    Ign http://debfeed4.merlin.xyz ./ Translation-en
    Ign http://debfeed4.merlin.xyz ./ Translation-en
    Ign http://debfeed4.merlin.xyz ./ Translation-en
    Ign http://debfeed4.merlin.xyz ./ Translation-en
    Ign http://debfeed4.merlin.xyz ./ Translation-en
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
    enigma2-plugin-extensions-weatherplugin enigma2-plugin-skincomponents-eventnameextra enigma2-plugin-skincomponents-reftopiconname
    enigma2-plugin-skincomponents-runningtext enigma2-plugin-skincomponents-weathercomponent enigma2-plugin-systemplugins-weathercomponenthandler
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.



    Danke


    Gruß

    Visiosat BIG-BISAT : Ost: Astra(28.2°E)/Astra(23.5°E)/Astra(19,2°E)/Hotbird(16°E)/Hotbird(13°E)/Eurobird 9 (9.0°E)/Astra 1C,Sirius 2/3(4,8°E)
    West:Thor(0.8°W)/Amos 2/3 (4°W) (5°W)

  • Auch da der gleiche Fehler mit dem drüber installieren :(

    so long
    m0rphU



    :aufsmaul: Kein Support per PN! :aufsmaul:

  • Quote

    Original von m0rphU
    Auch da der gleiche Fehler mit dem drüber installieren :(


    Hallo,


    jo hast zu schnell geantwortet.... nun ist aber richtig Installiert....


    mal sehn ob das auch geht wie es sollte :-)


    Danke


    Gruß

    Visiosat BIG-BISAT : Ost: Astra(28.2°E)/Astra(23.5°E)/Astra(19,2°E)/Hotbird(16°E)/Hotbird(13°E)/Eurobird 9 (9.0°E)/Astra 1C,Sirius 2/3(4,8°E)
    West:Thor(0.8°W)/Amos 2/3 (4°W) (5°W)

  • Hallo,


    leider nicht ich, habe ja ein SEDU-Lights-Board V2 ( damit geht es ja auf der VU DUO2 ) sollte ja auch bei der 7080 Laufen?


    config ist ... siehe bild usb device stimt ja auch

    Files

    • screenshot.jpg

      (329.69 kB, downloaded 1,118 times, last: )
    • usb.jpg

      (12.74 kB, downloaded 1,040 times, last: )

    Visiosat BIG-BISAT : Ost: Astra(28.2°E)/Astra(23.5°E)/Astra(19,2°E)/Hotbird(16°E)/Hotbird(13°E)/Eurobird 9 (9.0°E)/Astra 1C,Sirius 2/3(4,8°E)
    West:Thor(0.8°W)/Amos 2/3 (4°W) (5°W)

    Edited once, last by scklawe ().

  • Warum möchtest du mit der Atmolight einstellung ein Sedu zum Laufen bringen?
    Es gibt doch eine Sedulight Auswahl!

  • Quote

    Original von holymoly
    Warum möchtest du mit der Atmolight einstellung ein Sedu zum Laufen bringen?
    Es gibt doch eine Sedulight Auswahl!


    Hallo,


    ohh mannn bin ich Blöd :-) umgestellt und es geht.


    Danke


    Gruß

    Visiosat BIG-BISAT : Ost: Astra(28.2°E)/Astra(23.5°E)/Astra(19,2°E)/Hotbird(16°E)/Hotbird(13°E)/Eurobird 9 (9.0°E)/Astra 1C,Sirius 2/3(4,8°E)
    West:Thor(0.8°W)/Amos 2/3 (4°W) (5°W)

  • Habt ihr auch das Problem das beim Start von Enigma2 (bei Autostart) die Settings nicht geladen werden?


    Es werden wohl default Einstellungen geladen. Die LEDs sind hier sehr schnell und die Übergänge hart.
    Erst wenn ich das Plugin per Hand starte gehts wunderbar.
    Kann man diesen Schritt irgendwie umgehen?


    Ach und die Blaxkbar detection funktioniert bei mir nicht. Loegt es an dem Networt Mode?


    hier mal die Logs:


    Beim Start von Enigma2



    Beim Start der Enigmalight GUI über den Plugin Browser von Enigma2

  • Sorry Leute aber ich muss noch mal nach dem .deb Package Fragen.


    Ich sehe hier wird von enigma2-plugin-extensions-enigmalight_0.1r6-b1_all.deb gesprochen. Aber bitte wo kann man diese downloaden?



    Weder auf der enigmalight.net Website noch per PN an den erstellter ist auch nur irgend etwas zu erfahren.


    Danke für eure Hilfe.


  • Sorry the blackbar detection only works local on this moment.
    The detection will change the vscan and hscan given in your configfile.
    Maybe i can make a patched boblight version for raspberry later....


    Gr Speedy

    if you like this project and want to support me, buy me a beer ;) Thanks!!

  • Quote

    Originally posted by SATKABEL
    Oh okay, so the config file is being updated on the fly wen using black bar detection.


    Any idea for the other bug?


    Greets


    No, the config is not updated on the fly.
    Enigmalight will get the settings from the configfile when its started, that's the default for him. if you turn the detection on, he will send new values to his configthread. when turn it off he will take the defaults back.


    SO its a local feature, because it will be done by enigmalight self, boblight or others deamon can't understand this feature. Maybe i can make a patch soon for boblight.


    For the other problem i will send you a new test ipk. maybe this will work better.
    See you pm box.


    Gr Speedy

    if you like this project and want to support me, buy me a beer ;) Thanks!!

  • Ist in der nächsten zeit möglich ambilight auch mit dem hdmi in vom receiver zu nutzen?
    Somit hätte man ein perfektes ambilight für alle Quellen super gelöst :-)

  • Hallo zusammen


    Bin neu im Thema Enigmalight / Ambilight.
    Habe eine Raspberry, dort angeschlossen ist ein LED-Strip mit den LDP6803 ICs.
    Auf meiner 8000 habe ich die neueste Version des Enigmalights.
    Auf dem raspi habe ich eine config mit HyperCon erstellt.
    Enigmalight und raspi komunizieren miteinander. Soweit sogut,...


    wenn ich nun aber in dem Enigmasetting -> Tuning, das Sample picture RGB Test anwähle, sehe ich das die Farbverläufe verschoben zum Bild sind. Das heisst, rot sollte im oberen drittel der rechten Kante sein, bei mir leuchtet aber grün bis ganz zur rechten oberen Ecke, danach beginnt rot zu leuchten.


    wichtig, bis jetzt habe ich keine config für das enigmalight unter /etc/ abgelegt.
    Benötige ich dies für einen reibungslosen verlauf?
    Hat mein Problem einen zusammenhang mit der fehlenden config?
    Gibt es für Enigmalight auch ein config-programm? Da ich momentan den durchblick nicht habe.

  • Quote

    Original von spicker
    wenn ich nun aber in dem Enigmasetting -> Tuning, das Sample picture RGB Test anwähle, sehe ich das die Farbverläufe verschoben zum Bild sind. Das heisst, rot sollte im oberen drittel der rechten Kante sein, bei mir leuchtet aber grün bis ganz zur rechten oberen Ecke, danach beginnt rot zu leuchten.


    wichtig, bis jetzt habe ich keine config für das enigmalight unter /etc/ abgelegt.
    Benötige ich dies für einen reibungslosen verlauf? Nein
    Hat mein Problem einen zusammenhang mit der fehlenden config? Nein
    Gibt es für Enigmalight auch ein config-programm? Da ich momentan den durchblick nicht habe. Verstehe die frage nicht!


    Bin jetzt nicht der Netzwerkspezialist, aber EL ließt nur die Farbdaten des TV-Bilds aus und schickt sie zum Raspbi rüber. Die Verteilung der Farben und das ansprechen der Stripe-Hardware übernimmt die Boblightsoftware oder HyperCon dort.
    Heißt Du must die dortige config editieren. Vertausche mal die FF der drei Farben gegeneinander aus bis es passt.


    rgb 0000FF

  • Quote

    Original von Schmello
    Ist in der nächsten zeit möglich ambilight auch mit dem hdmi in vom receiver zu nutzen?
    Somit hätte man ein perfektes ambilight für alle Quellen super gelöst :-)


    Dürfte in der nächsten Zeit nichts werden. Dafür müsste man ein System bauen, welches vom HDMI-Signal ein Bild wieder ins Videoformat zu bekommen. Sprich: Über HDMI werden digital die Farbinfos gesendet.


    Was man allerdings machen kann ist HDMI-2-SVideo-Konverter -> MPEG2 -> Raspberry -> Ambilight!


    MfG

  • Das HDMI In Signal muss über den Videospeicher laufen, ist somit auslesbar und Darstellungsfähig.
    Wenn ich aber sehe, welche Basics noch nicht richtig im EL laufen, bekommt so eine
    Erweiterung (die eh wenige nutzen) momentan keinen Zuspruch von mir.

  • Anbei noch eine skizze wie ich das gemeint habe mit dem falschen Farbverlauf. Die Punkte rechts stellen jeweils die LED's dar. (dunkelrot/schwarz stellt rot dar, da man dies ansonsten gar nicht sehen würde).


    Ich habe auch schon versucht die anzahl der leds zu minimieren, mit der Hoffnung, dass die Farben dann eher überreinstimmen. Hat aber keinen Erfolg gebracht. Nehme nun aber an das liegt irgendwo an der config auf dem raspi...